Subject: bug#15038: closed (Re: bug#15038: 24.3.50; Doc bug in "(eintr) Change a defun")

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Aug 2013 14:01:02 +0000

Your bug report

#15038: 24.3.50; Doc bug in "(eintr) Change a defun"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15038: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15038
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15038: 24.3.50; Doc bug in "(eintr) Change a defun"
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 07 Aug 2013 17:00:49 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 07 Aug 2013 06:56:43 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Glenn Morris <[email-masked]>
> > Date: Tue, 06 Aug 2013 19:23:17 -0400
> > Cc: [email-masked]
> > 
> > [email-masked] wrote:
> > 
> > > The following paragraph is in the info node mentioned in the subject:
> > >
> > >      *Note Beginning a `.emacs' File.emacs File, and *note
> > >   Comments(elisp) for more about comments.
> > >
> > > There seems to be a problem in its first cross reference, because:
> > > * The link is broken.
> > > * The part ".emacs File" just after the link doesn't make sense.
> > 
> > I see no such problem on GNU/Linux with makeinfo 4.13 or 5.1.
> > What makeinfo did you use?
> 
> I think Dany is describing the way Emacs displays that node, not the
> exact text in the Info file.
> 
> The problem is in the Texinfo sources: a node name cannot include a
> period, see the Texinfo manual.

Fixed in trunk revision 113736.

Subject: 24.3.50; Doc bug in "(eintr) Change a defun"
From: [email-masked]
To: [email-masked]
Date: Tue, 06 Aug 2013 23:38:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The following paragraph is in the info node mentioned in the subject:

     *Note Beginning a `.emacs' File.emacs File, and *note
  Comments(elisp) for more about comments.

There seems to be a problem in its first cross reference, because:
* The link is broken.
* The part ".emacs File" just after the link doesn't make sense.

(I guess that the problem is due to the use of "@file" inside "@xref")

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-08-05 on LEG570
Bzr revision: 113709 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr --enable-checking CFLAGS='-O0 -g3'
 CPPFLAGS='-DGLYPH_DEBUG=1 -I/c/usr/include''